namespace Kesion.NET.WebSite
{
    using System;
    using System.Data;
    using System.Configuration;
    using System.Collections;
    using System.Web;
    using System.Web.Security;
    using System.Web.UI;
    using System.Web.UI.WebControls;
    using System.Web.UI.WebControls.WebParts;
    using System.Web.UI.HtmlControls;

    using Kesion.Publics;
    using Kesion.BLL;
    using Kesion.Cache;
    public partial class Admin_Include_SelectFile : System.Web.UI.Page
    {
        public int ChannelID = 0;
        public string UpfilesDir = string.Empty;
        protected void Page_Load(object sender, EventArgs e)
        {
            KSSecurity.CheckLoginAndClose();

            //Context.Response.Cache.SetCacheability(HttpCacheability.NoCache);  //禁止缓存

            if (KSCMS.GetCookie("Admin", "UserType") == "1")
            {
                UpfilesDir = string.Concat(KSCMS.GetInstallDir() , MyCache.GetCacheConfig(22), "/");
            }
            else
            {
                UpfilesDir = Kesion.APPCode.Public.GetUpfilesDir();
            }
            this.FolderSelectList.Items.Add(new ListItem(UpfilesDir.ToString(), UpfilesDir.ToString()));
            this.FolderSelectList.Attributes.Add("onchange", "ChangeFolder(this.value);");
        }
    }
}